package cn.ezhizao.project.business.upgrade.mapper;

import java.util.List;

import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.upgrade.domain.BizWorkOrderUpdate;
import org.apache.ibatis.annotations.Param;

/**
 * 企业租户Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface BizWorkOrderUpdateMapper extends BaseMapper<BizWorkOrderUpdate>
{
    /**
     * 查询企业租户列表
     *
     * @param bizWorkOrderUpdate 企业租户
     * @return 企业租户集合
     */
    public List<BizWorkOrderUpdate> getList(BizWorkOrderUpdate bizWorkOrderUpdate);

    /**
     * 物理删除
     * @param ids
     * @return 删除结果
    */
    public int physicalDelete(@Param("ids")List<Long> ids);
    List<BizWorkOrderUpdate> getList2(BizWorkOrderUpdate bizWorkOrder);

    List<BizWorkOrderUpdate> gettoUpLoadList(BizWorkOrderUpdate bizWorkOrder);
    List<BizWorkOrder> selectByUpgradeId(BizWorkOrder query);
    Long getToUpLoadCount(BizWorkOrderUpdate bizWorkOrder);
    List<BizWorkOrder> getNewOrder();
    List<BizWorkOrder> getStopTaskOrder();

}
